Loading...
Searching...
No Matches
juce::dsp::SIMDNativeOps< double > Struct Reference

`#include <juce_SIMDNativeOps_avx.h>`

## Public Types

using | vSIMDType = __m256d
using | vSIMDType = struct { double v[2]; }
using | fb = SIMDFallbackOps<double, vSIMDType>
using | vSIMDType = __m128d

## Public Member Functions

| DECLARE_AVX_SIMD_CONST (int64_t, kAllBitsSet)
| DECLARE_AVX_SIMD_CONST (int64_t, kEvenHighBit)
| DECLARE_AVX_SIMD_CONST (double, kOne)
| DECLARE_SSE_SIMD_CONST (int64_t, kAllBitsSet)
| DECLARE_SSE_SIMD_CONST (int64_t, kEvenHighBit)
| DECLARE_SSE_SIMD_CONST (double, kOne)

## Static Public Member Functions

static forcedinline __m256d JUCE_VECTOR_CALLTYPE | vconst (const double *a) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | vconst (const int64_t *a) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | expand (double s) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | load (const double *a) noexcept
static forcedinline void JUCE_VECTOR_CALLTYPE | store (__m256d value, double *dest) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | add (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | sub (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | mul (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | bit_and (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | bit_or (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | bit_xor (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | bit_notand (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | bit_not (__m256d a) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | min (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | max (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | equal (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | notEqual (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | greaterThan (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | greaterThanOrEqual (__m256d a, __m256d b) noexcept
static forcedinline bool JUCE_VECTOR_CALLTYPE | allEqual (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | multiplyAdd (__m256d a, __m256d b, __m256d c) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | dupeven (__m256d a) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | dupodd (__m256d a) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | swapevenodd (__m256d a) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | oddevensum (__m256d a) noexcept
static forcedinline double JUCE_VECTOR_CALLTYPE | get (__m256d v, size_t i) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | set (__m256d v, size_t i, double s) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | truncate (__m256d a) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | cmplxmul (__m256d a, __m256d b) noexcept
static forcedinline double JUCE_VECTOR_CALLTYPE | sum (__m256d a) noexcept
static forcedinline vSIMDType | expand (double s) noexcept
static forcedinline vSIMDType | load (const double *a) noexcept
static forcedinline void | store (vSIMDType v, double *a) noexcept
static forcedinline double | get (vSIMDType v, size_t i) noexcept
static forcedinline vSIMDType | set (vSIMDType v, size_t i, double s) noexcept
static forcedinline vSIMDType | add (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | sub (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | mul (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_and (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_or (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_xor (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_notand (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_not (vSIMDType a) noexcept
static forcedinline vSIMDType | min (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | max (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | equal (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | notEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | greaterThan (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | greaterThanOrEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline bool | allEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | multiplyAdd (vSIMDType a, vSIMDType b, vSIMDType c) noexcept
static forcedinline vSIMDType | cmplxmul (vSIMDType a, vSIMDType b) noexcept
static forcedinline double | sum (vSIMDType a) noexcept
static forcedinline vSIMDType | oddevensum (vSIMDType a) noexcept
static forcedinline vSIMDType | truncate (vSIMDType a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | vconst (const double *a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | vconst (const int64_t *a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | expand (double s) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | load (const double *a) noexcept
static forcedinline void JUCE_VECTOR_CALLTYPE | store (__m128d value, double *dest) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | add (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | sub (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | mul (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | bit_and (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | bit_or (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | bit_xor (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | bit_notand (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | bit_not (__m128d a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | min (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | max (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | equal (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | notEqual (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | greaterThan (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | greaterThanOrEqual (__m128d a, __m128d b) noexcept
static forcedinline bool JUCE_VECTOR_CALLTYPE | allEqual (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | multiplyAdd (__m128d a, __m128d b, __m128d c) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | dupeven (__m128d a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | dupodd (__m128d a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | swapevenodd (__m128d a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | oddevensum (__m128d a) noexcept
static forcedinline double JUCE_VECTOR_CALLTYPE | get (__m128d v, size_t i) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | set (__m128d v, size_t i, double s) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | truncate (__m128d a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | cmplxmul (__m128d a, __m128d b) noexcept
static forcedinline double JUCE_VECTOR_CALLTYPE | sum (__m128d a) noexcept

## Detailed Description

Double-precision floating point AVX intrinsics.

Double-precision floating point NEON intrinsics does not exist in NEON so we need to emulate this.

Double-precision floating point SSE intrinsics.

Definition at line 136 of file juce_SIMDNativeOps_avx.h.

## Member Typedef Documentation

## fb

using juce::dsp::SIMDNativeOps< double >::fb = SIMDFallbackOps<double, vSIMDType>

Definition at line 506 of file juce_SIMDNativeOps_neon.h.

## vSIMDType [1/3]

using juce::dsp::SIMDNativeOps< double >::vSIMDType = __m256d

Definition at line 138 of file juce_SIMDNativeOps_avx.h.

## vSIMDType [2/3]

using juce::dsp::SIMDNativeOps< double >::vSIMDType = struct { double v[2]; }

Definition at line 505 of file juce_SIMDNativeOps_neon.h.

## vSIMDType [3/3]

using juce::dsp::SIMDNativeOps< double >::vSIMDType = __m128d

Definition at line 129 of file juce_SIMDNativeOps_sse.h.

## Member Function Documentation

## add() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::add | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 142 of file juce_SIMDNativeOps_sse.h.

## add() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::add | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 151 of file juce_SIMDNativeOps_avx.h.

## add() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::add | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 513 of file juce_SIMDNativeOps_neon.h.

## allEqual() [1/3]

forcedinline bool JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::allEqual | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 156 of file juce_SIMDNativeOps_sse.h.

## allEqual() [2/3]

forcedinline bool JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::allEqual | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 165 of file juce_SIMDNativeOps_avx.h.

## allEqual() [3/3]

forcedinline bool juce::dsp::SIMDNativeOps< double >::allEqual | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 527 of file juce_SIMDNativeOps_neon.h.

## bit_and() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_and | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 145 of file juce_SIMDNativeOps_sse.h.

## bit_and() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_and | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 154 of file juce_SIMDNativeOps_avx.h.

## bit_and() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::bit_and | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 516 of file juce_SIMDNativeOps_neon.h.

## bit_not() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_not | ( | __m128d | a | ) |

inline static noexcept

Definition at line 149 of file juce_SIMDNativeOps_sse.h.

## bit_not() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_not | ( | __m256d | a | ) |

inline static noexcept

Definition at line 158 of file juce_SIMDNativeOps_avx.h.

## bit_not() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::bit_not | ( | vSIMDType | a | ) |

inline static noexcept

Definition at line 520 of file juce_SIMDNativeOps_neon.h.

## bit_notand() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_notand | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 148 of file juce_SIMDNativeOps_sse.h.

## bit_notand() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_notand | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 157 of file juce_SIMDNativeOps_avx.h.

## bit_notand() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::bit_notand | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 519 of file juce_SIMDNativeOps_neon.h.

## bit_or() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_or | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 146 of file juce_SIMDNativeOps_sse.h.

## bit_or() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_or | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 155 of file juce_SIMDNativeOps_avx.h.

## bit_or() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::bit_or | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 517 of file juce_SIMDNativeOps_neon.h.

## bit_xor() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_xor | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 147 of file juce_SIMDNativeOps_sse.h.

## bit_xor() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_xor | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 156 of file juce_SIMDNativeOps_avx.h.

## bit_xor() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::bit_xor | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 518 of file juce_SIMDNativeOps_neon.h.

## cmplxmul() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::cmplxmul | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 167 of file juce_SIMDNativeOps_sse.h.

## cmplxmul() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::cmplxmul | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 176 of file juce_SIMDNativeOps_avx.h.

## cmplxmul() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::cmplxmul | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 529 of file juce_SIMDNativeOps_neon.h.

## dupeven() [1/2]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::dupeven | ( | __m128d | a | ) |

inline static noexcept

Definition at line 158 of file juce_SIMDNativeOps_sse.h.

## dupeven() [2/2]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::dupeven | ( | __m256d | a | ) |

inline static noexcept

Definition at line 167 of file juce_SIMDNativeOps_avx.h.

## dupodd() [1/2]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::dupodd | ( | __m128d | a | ) |

inline static noexcept

Definition at line 159 of file juce_SIMDNativeOps_sse.h.

## dupodd() [2/2]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::dupodd | ( | __m256d | a | ) |

inline static noexcept

Definition at line 168 of file juce_SIMDNativeOps_avx.h.

## equal() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::equal | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 152 of file juce_SIMDNativeOps_sse.h.

## equal() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::equal | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 161 of file juce_SIMDNativeOps_avx.h.

## equal() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::equal | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 523 of file juce_SIMDNativeOps_neon.h.

## expand() [1/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::expand | ( | double | s | ) |

inline static noexcept

Definition at line 148 of file juce_SIMDNativeOps_avx.h.

## expand() [2/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::expand | ( | double | s | ) |

inline static noexcept

Definition at line 508 of file juce_SIMDNativeOps_neon.h.

## expand() [3/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::expand | ( | double | s | ) |

inline static noexcept

Definition at line 139 of file juce_SIMDNativeOps_sse.h.

## get() [1/3]

forcedinline double JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::get | ( | __m128d | v,
|  | size_t | i )

inline static noexcept

Definition at line 162 of file juce_SIMDNativeOps_sse.h.

## get() [2/3]

forcedinline double JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::get | ( | __m256d | v,
|  | size_t | i )

inline static noexcept

Definition at line 171 of file juce_SIMDNativeOps_avx.h.

## get() [3/3]

forcedinline double juce::dsp::SIMDNativeOps< double >::get | ( | vSIMDType | v,
|  | size_t | i )

inline static noexcept

Definition at line 511 of file juce_SIMDNativeOps_neon.h.

## greaterThan() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::greaterThan | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 154 of file juce_SIMDNativeOps_sse.h.

## greaterThan() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::greaterThan | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 163 of file juce_SIMDNativeOps_avx.h.

## greaterThan() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::greaterThan | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 525 of file juce_SIMDNativeOps_neon.h.

## greaterThanOrEqual() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::greaterThanOrEqual | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 155 of file juce_SIMDNativeOps_sse.h.

## greaterThanOrEqual() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::greaterThanOrEqual | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 164 of file juce_SIMDNativeOps_avx.h.

## greaterThanOrEqual() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::greaterThanOrEqual | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 526 of file juce_SIMDNativeOps_neon.h.

## load() [1/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::load | ( | const double * | a | ) |

inline static noexcept

Definition at line 149 of file juce_SIMDNativeOps_avx.h.

## load() [2/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::load | ( | const double * | a | ) |

inline static noexcept

Definition at line 509 of file juce_SIMDNativeOps_neon.h.

## load() [3/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::load | ( | const double * | a | ) |

inline static noexcept

Definition at line 140 of file juce_SIMDNativeOps_sse.h.

## max() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::max | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 151 of file juce_SIMDNativeOps_sse.h.

## max() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::max | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 160 of file juce_SIMDNativeOps_avx.h.

## max() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::max | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 522 of file juce_SIMDNativeOps_neon.h.

## min() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::min | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 150 of file juce_SIMDNativeOps_sse.h.

## min() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::min | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 159 of file juce_SIMDNativeOps_avx.h.

## min() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::min | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 521 of file juce_SIMDNativeOps_neon.h.

## mul() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::mul | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 144 of file juce_SIMDNativeOps_sse.h.

## mul() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::mul | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 153 of file juce_SIMDNativeOps_avx.h.

## mul() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::mul | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 515 of file juce_SIMDNativeOps_neon.h.

## multiplyAdd() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::multiplyAdd | ( | __m128d | a,
|  | __m128d | b,
|  | __m128d | c )

inline static noexcept

Definition at line 157 of file juce_SIMDNativeOps_sse.h.

## multiplyAdd() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::multiplyAdd | ( | __m256d | a,
|  | __m256d | b,
|  | __m256d | c )

inline static noexcept

Definition at line 166 of file juce_SIMDNativeOps_avx.h.

## multiplyAdd() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::multiplyAdd | ( | vSIMDType | a,
|  | vSIMDType | b,
|  | vSIMDType | c )

inline static noexcept

Definition at line 528 of file juce_SIMDNativeOps_neon.h.

## notEqual() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::notEqual | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 153 of file juce_SIMDNativeOps_sse.h.

## notEqual() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::notEqual | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 162 of file juce_SIMDNativeOps_avx.h.

## notEqual() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::notEqual | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 524 of file juce_SIMDNativeOps_neon.h.

## oddevensum() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::oddevensum | ( | __m128d | a | ) |

inline static noexcept

Definition at line 161 of file juce_SIMDNativeOps_sse.h.

## oddevensum() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::oddevensum | ( | __m256d | a | ) |

inline static noexcept

Definition at line 170 of file juce_SIMDNativeOps_avx.h.

## oddevensum() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::oddevensum | ( | vSIMDType | a | ) |

inline static noexcept

Definition at line 531 of file juce_SIMDNativeOps_neon.h.

## set() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::set | ( | __m128d | v,
|  | size_t | i,
|  | double | s )

inline static noexcept

Definition at line 163 of file juce_SIMDNativeOps_sse.h.

## set() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::set | ( | __m256d | v,
|  | size_t | i,
|  | double | s )

inline static noexcept

Definition at line 172 of file juce_SIMDNativeOps_avx.h.

## set() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::set | ( | vSIMDType | v,
|  | size_t | i,
|  | double | s )

inline static noexcept

Definition at line 512 of file juce_SIMDNativeOps_neon.h.

## store() [1/3]

forcedinline void JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::store | ( | __m128d | value,
|  | double * | dest )

inline static noexcept

Definition at line 141 of file juce_SIMDNativeOps_sse.h.

## store() [2/3]

forcedinline void JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::store | ( | __m256d | value,
|  | double * | dest )

inline static noexcept

Definition at line 150 of file juce_SIMDNativeOps_avx.h.

## store() [3/3]

forcedinline void juce::dsp::SIMDNativeOps< double >::store | ( | vSIMDType | v,
|  | double * | a )

inline static noexcept

Definition at line 510 of file juce_SIMDNativeOps_neon.h.

## sub() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::sub | ( | __m128d | a,
|  | __m128d | b )

inline static noexcept

Definition at line 143 of file juce_SIMDNativeOps_sse.h.

## sub() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::sub | ( | __m256d | a,
|  | __m256d | b )

inline static noexcept

Definition at line 152 of file juce_SIMDNativeOps_avx.h.

## sub() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::sub | ( | vSIMDType | a,
|  | vSIMDType | b )

inline static noexcept

Definition at line 514 of file juce_SIMDNativeOps_neon.h.

## sum() [1/3]

forcedinline double JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::sum | ( | __m128d | a | ) |

inline static noexcept

Definition at line 174 of file juce_SIMDNativeOps_sse.h.

## sum() [2/3]

forcedinline double JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::sum | ( | __m256d | a | ) |

inline static noexcept

Definition at line 183 of file juce_SIMDNativeOps_avx.h.

## sum() [3/3]

forcedinline double juce::dsp::SIMDNativeOps< double >::sum | ( | vSIMDType | a | ) |

inline static noexcept

Definition at line 530 of file juce_SIMDNativeOps_neon.h.

## swapevenodd() [1/2]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::swapevenodd | ( | __m128d | a | ) |

inline static noexcept

Definition at line 160 of file juce_SIMDNativeOps_sse.h.

## swapevenodd() [2/2]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::swapevenodd | ( | __m256d | a | ) |

inline static noexcept

Definition at line 169 of file juce_SIMDNativeOps_avx.h.

## truncate() [1/3]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::truncate | ( | __m128d | a | ) |

inline static noexcept

Definition at line 164 of file juce_SIMDNativeOps_sse.h.

## truncate() [2/3]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::truncate | ( | __m256d | a | ) |

inline static noexcept

Definition at line 173 of file juce_SIMDNativeOps_avx.h.

## truncate() [3/3]

forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::truncate | ( | vSIMDType | a | ) |

inline static noexcept

Definition at line 532 of file juce_SIMDNativeOps_neon.h.

## vconst() [1/4]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::vconst | ( | const double * | a | ) |

inline static noexcept

Definition at line 146 of file juce_SIMDNativeOps_avx.h.

## vconst() [2/4]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::vconst | ( | const double * | a | ) |

inline static noexcept

Definition at line 137 of file juce_SIMDNativeOps_sse.h.

## vconst() [3/4]

forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::vconst | ( | const int64_t * | a | ) |

inline static noexcept

Definition at line 147 of file juce_SIMDNativeOps_avx.h.

## vconst() [4/4]

forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::vconst | ( | const int64_t * | a | ) |

inline static noexcept

Definition at line 138 of file juce_SIMDNativeOps_sse.h.

The documentation for this struct was generated from the following files:

- juce_SIMDNativeOps_avx.h
- juce_SIMDNativeOps_neon.h
- juce_SIMDNativeOps_sse.h